<?php
defined('IN_PHPMPS') or exit('Access Denied');
if($moneys > $memberinfo['gold'])showmsg('店铺余额不足，请选择其他充值方式!','member.php?act=shop_credit');
$db->query("update {$table}member set gold=gold-$moneys WHERE userid=$_userid");
if($shoptype==1){
$db->query("update {$table}com set jf_num=jf_num+$amount WHERE userid=$_userid and comid=$comid");
}elseif($shoptype==2){
$db->query("update {$table}com set sms_num=sms_num+$amount WHERE userid=$_userid and comid=$comid");	
}
//gold_com_diff($_userid, $amount, '自助-购买'.$buytitle);
$seo['title'] = '支付返回信息';
$paystatus = '1';
$db->query("update {$table}pay_online set status=1, receivetime='".time()."' WHERE payid=$ids");
include template('payreceiveyuer');
//$link = $receiveurl;
?>
